AnsweredAssumed Answered

"Object reference not set to an instance of an object" error fter pulling design in Solidowrks pushed from Altium PCB Connector

Question asked by Vishal Joshi on Jan 15, 2019
Latest reply on Feb 22, 2019 by Don Lapel

We are using Altium 19 with SolidWorks 2019. We recently purchased PCB connector and we are now pushed one of the design from Altium to SolidWorks. After pulling design, we got following error in SolidWorks:

 

Object reference not set to an instance of an object

System.NullReferenceException: Object reference not set to an instance of an object.

   at Altium.Designer.Mechatronic.SolidWorks.Plugin.SwMultiHoleInfo.Save(Feature feature, ModelDoc2 outlinePart)

   at Altium.Designer.Mechatronic.SolidWorks.Plugin.SwSketchBasedHoles.ProcessChanges(ModelDoc2 modelDoc)

   at Altium.Designer.Mechatronic.SolidWorks.Plugin.SwHoleCollector.AddAndUpdateHolesAndCutoutsInternal(List`1 relocatedObjects, List`1 addedObjects)

   at Altium.Designer.Mechatronic.SolidWorks.Plugin.SwFromPcbImporter.<>c__DisplayClass60_0.<AddAndUpdateHolesAndCutouts>b__0()

   at Altium.Designer.Mechatronic.SolidWorks.Plugin.SwHostingService.ExecuteWithoutSwGraphicsUpdate(Action action, ModelDoc2 modelDoc)

   at Altium.Designer.Mechatronic.SolidWorks.Plugin.SwFromPcbImporter.AddAndUpdateHolesAndCutouts()

   at Altium.Designer.Mechatronic.SolidWorks.Plugin.SwFromPcbImporter.ProcessObjectChanges(UiProgressData progressData)

   at Altium.Designer.Mechatronic.SolidWorks.Plugin.SwFromPcbImporter.ApplyChanges(IEnumerable`1 changes, UiProgressData progressData)

   at Altium.Designer.Mechatronic.SolidWorks.Plugin.SwBoardDesignService.SwApplyChangesToBoard(SwDesigndataConfiguration configuration, BoardDesignData boardData, IList`1 changes, UiProgressData progressData)

   at Altium.Designer.Mechatronic.Core.UserActionsService.CheckoutLocalPcbProjectFromServer(ProjectData project, ServerConnectionData connection, UserActionsData actionResult, UiProgressData uiProgressData)

   at Altium.Designer.Mechatronic.Core.UserActionsService.<>c__DisplayClass31_0.<CheckoutLocalProjectFromServer>b__1()

   at Altium.Designer.Mechatronic.Core.UiService.<>c__DisplayClass7_0.<ExceptionBarrier>b__0()

   at Altium.Designer.Mechatronic.Core.UiService.ExceptionBarrier(Func`1 action)

 

Outcomes